package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "平台组件库")
public class CpComLibraryTree implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 主键
     */
    @ApiModelProperty("父节点ID")
    private String faId;

    /**
     * 树节点名称<br>
     */
    @ApiModelProperty("树节点名称")
    private String treeName;

    /**
     * 树节点名称<br>
     */
    @ApiModelProperty("树节点别名")
    private String treeAlias;

    private List<CpComLibraryTree> childList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getTreeAlias() {
        return treeAlias;
    }

    public void setTreeAlias(String treeAlias) {
        this.treeAlias = treeAlias;
    }

    public List<CpComLibraryTree> getChildList() {
        return childList;
    }

    public void setChildList(List<CpComLibraryTree> childList) {
        this.childList = childList;
    }

    public String getFaId() {
        return faId;
    }

    public void setFaId(String faId) {
        this.faId = faId;
    }
}
